> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://walmart.postmansolutions.com/us-marketplace/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://walmart.postmansolutions.com/us-marketplace/_mcp/server.

# Retrieves the full details of a specific content update preview.

GET https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/{inboundPlanId}/shipments/{shipmentId}/contentUpdatePreviews/{contentUpdatePreviewId}

Reference: https://walmart.postmansolutions.com/us-marketplace/api-reference/orders-fulfillment/fulfillment-inbound/wfs-inbound/get-shipment-content-update-preview

## Servers

- `https://marketplace.walmart.com/seller/v1` (Production, default)
- `https://sandbox.marketplace.walmart.com/seller/v1` (Sandbox)

## Request

### Path parameters

- `inboundPlanId` (string, required) — Identifier of an inbound plan.
- `shipmentId` (string, required) — Identifier of a shipment.
- `contentUpdatePreviewId` (string, required) — Identifier of a content update preview.

## Response

### 200

Success

- `contentUpdatePreviewId` (string, required) — Identifier of a content update preview.
- `expiration` (datetime, required) — The time at which the content update expires. In ISO 8601 datetime format with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.
- `requestedUpdates` (RequestedUpdates, required) — Objects that were included in the update request.
- `transportationOption` (TransportationOption, required) — Contains information pertaining to a transportation option and the related carrier.

## Errors

### 400 Bad Request Error

Bad Request

- `errors` (list of Error, required) — List of errors.

### 403 Forbidden Error

Forbidden

- `errors` (list of Error, required) — List of errors.

### 404 Not Found Error

Not Found

- `errors` (list of Error, required) — List of errors.

### 429 Too Many Requests Error

Rate limit exceeded

- `errors` (list of Error, required) — List of errors.

### 500 Internal Server Error

Internal Server Error

- `errors` (list of Error, required) — List of errors.

## Types

### RequestedUpdates

Objects that were included in the update request.

- `boxes` (list of BoxUpdateInput, optional) — A list of boxes that will be present in the shipment after the update.
- `items` (list of ItemInput, optional) — A list of all items that will be present in the shipment after the update.

### TransportationOption

Contains information pertaining to a transportation option and the related carrier.

- `carrier` (Carrier, required) — The carrier for the inbound shipment.
- `preconditions` (list of string, required) — Identifies a list of preconditions for confirming the transportation option.
- `shipmentId` (string, required) — Identifier of a shipment.
- `shippingMode` (string, required) — Mode of shipment transportation. Possible values: `GROUND_SMALL_PARCEL`, `FREIGHT_LTL`, `FREIGHT_FTL_PALLET`, `FREIGHT_FTL_NONPALLET`, `OCEAN_LCL`, `OCEAN_FCL`, `AIR_SMALL_PARCEL`, `AIR_SMALL_PARCEL_EXPRESS`.
- `shippingSolution` (string, required) — Shipping program for the option. Possible values: `WALMART_PARTNERED_CARRIER`, `USE_YOUR_OWN_CARRIER`.
- `transportationOptionId` (string, required) — Identifier of a transportation option.
- `carrierAppointment` (CarrierAppointment, optional) — Contains details for a transportation carrier appointment.
- `quote` (Quote, optional) — The estimated shipping cost associated with the transportation option.

### Error

Error object containing information about what went wrong.

- `code` (string, required) — An error code that identifies the type of error that occurred.
- `message` (string, required) — A message that describes the error condition.
- `details` (string, optional) — Additional details that can help the caller understand or fix the issue.

### BoxUpdateInput

Input information for updating a box.

- `contentInformationSource` (enum, required) — Indication of how box content is meant to be provided.
  - Allowed values: `BOX_CONTENT_PROVIDED`, `MANUAL_PROCESS`, `BARCODE_2D`
- `dimensions` (Dimensions, required) — Measurement of a package's dimensions.
- `quantity` (integer, required) — The number of containers where all other properties like weight or dimensions are identical.
- `weight` (Weight, required) — The weight of a package.
- `items` (list of ItemInput, optional) — The items and their quantity in the box. This must be empty if the box `contentInformationSource` is `BARCODE_2D` or `MANUAL_PROCESS`.
- `packageId` (string, optional) — Primary key to uniquely identify a Box Package. Provide to update an existing box; omit to add a new box. Any existing packageIds not provided will be treated as to-be-removed.

### ItemInput

Defines an item's input parameters.

- `labelOwner` (enum, required) — Specifies who will label the items. Options include `SELLER` and `NONE`.
  - Allowed values: `SELLER`, `NONE`
- `msku` (string, required) — The merchant SKU, a merchant-supplied identifier of a specific SKU.
- `prepOwner` (enum, required) — The owner of the preparations, if special preparations are required.
  - Allowed values: `SELLER`, `NONE`
- `quantity` (integer, required) — The number of units of the specified MSKU that will be shipped.
- `expiration` (string, optional) — The expiration date of the MSKU. In ISO 8601 date format with pattern `YYYY-MM-DD`. Items with the same MSKU but different expiration dates cannot go into the same box.
- `manufacturingLotCode` (string, optional) — The manufacturing lot code.

### Carrier

The carrier for the inbound shipment.

- `alphaCode` (string, optional) — The carrier code. For example, USPS or DHLEX.
- `name` (string, optional) — The name of the carrier.

### CarrierAppointment

Contains details for a transportation carrier appointment.

- `endTime` (datetime, required) — The end timestamp of the appointment in UTC.
- `startTime` (datetime, required) — The start timestamp of the appointment in UTC.

### Quote

The estimated shipping cost associated with the transportation option.

- `cost` (Currency, required) — The type and amount of currency.
- `expiration` (datetime, optional) — The time at which this transportation option quote expires. In ISO 8601 datetime with pattern `yyyy-MM-ddTHH:mm:ss.sssZ`.
- `voidableUntil` (datetime, optional) — Voidable until timestamp.

### Dimensions

Measurement of a package's dimensions.

- `height` (double, required) — The height of a package.
- `length` (double, required) — The length of a package.
- `width` (double, required) — The width of a package.
- `unitOfMeasurement` (enum, required) — Unit of linear measure.
  - Allowed values: `IN`, `CM`

### Weight

The weight of a package.

- `unit` (enum, required) — Unit of the weight being measured.
  - Allowed values: `LB`, `KG`
- `value` (double, required) — Value of a weight.

### Currency

The type and amount of currency.

- `amount` (double, required) — Decimal value of the currency.
- `code` (string, required) — ISO 4217 standard currency code.

## Examples

**Response**

```json
{
  "contentUpdatePreviewId": "string",
  "expiration": "2024-01-15T09:30:00Z",
  "requestedUpdates": {
    "boxes": [
      {
        "contentInformationSource": "BOX_CONTENT_PROVIDED",
        "dimensions": {
          "height": 1.1,
          "length": 1.1,
          "width": 1.1,
          "unitOfMeasurement": "IN"
        },
        "quantity": 1,
        "weight": {
          "unit": "LB",
          "value": 1.1
        },
        "items": [
          {
            "labelOwner": "SELLER",
            "msku": "string",
            "prepOwner": "SELLER",
            "quantity": 1,
            "expiration": "string",
            "manufacturingLotCode": "string"
          }
        ],
        "packageId": "string"
      }
    ],
    "items": [
      {
        "labelOwner": "SELLER",
        "msku": "string",
        "prepOwner": "SELLER",
        "quantity": 1,
        "expiration": "string",
        "manufacturingLotCode": "string"
      }
    ]
  },
  "transportationOption": {
    "carrier": {
      "alphaCode": "string",
      "name": "string"
    },
    "preconditions": [
      "string"
    ],
    "shipmentId": "string",
    "shippingMode": "string",
    "shippingSolution": "string",
    "transportationOptionId": "string",
    "carrierAppointment": {
      "endTime": "2024-01-15T09:30:00Z",
      "startTime": "2024-01-15T09:30:00Z"
    },
    "quote": {
      "cost": {
        "amount": 1.1,
        "code": "string"
      },
      "expiration": "2024-01-15T09:30:00Z",
      "voidableUntil": "2024-01-15T09:30:00Z"
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://marketplace.walmart.com/seller/v1/inbound/wfs/v4/inboundPlans/inboundPlanId/shipments/shipmentId/contentUpdatePreviews/contentUpdatePreviewId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```